Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011813
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorrandom2009-12-17 17:292010-01-22 17:05
ReporternetworkbView Statuspublic 
Assigned Torajagopal 
PriorityurgentResolutionfixedFixed in Version2.50MP11
StatusclosedFix in branchFixed in SCM revision7f52a871237d
ProjectionnoneETAnoneTarget Version2.50MP10
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP9SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011813: It is not possible to close January period

DescriptionIf all periods in one year are open, and January is wanted to be closed, it is not possible. The following error appears:
    
Error:
In order to close a year, all the previous ones must be closed.

It has no sense because January is the first period.
Steps To ReproduceIn a client whith a calendar that has just got one only fiscal year defined, go to Financial Management > Accounting > Transactions > Open/close period control.
Create a new record.
Select one Organization, one year, and December as a period. As action, open period.
Select one Organization, one year, and January as a period. As action, close period.
Process it
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010087pi closedjayakumar User shouldn't be able to close a year, if the previous one is not closed as well 
related to defect 0012071pi closedrajagopal Opening/closing period actions according to multi-org restrictions 

-  Notes
(0023102)
vmromanos (developer)
2009-12-28 09:55

Is the previous year closed? See 0010087
(0023103)
networkb (developer)
2009-12-28 10:05

It was the first year created
(0023584)
dalsasua (reporter)
2010-01-19 23:46
edited on: 2010-01-20 00:49

Updated the steps to reproduce, as just with the provided ones, it's not possible to reproduce it. Also updated the reproducibility: it is not always reproducible, but randomly: it depended in the UUID generated for a row in database...

(0023585)
hgbot (developer)
2010-01-20 00:52

Repository: erp/devel/pi
Changeset: 7f52a871237d504cb5c3168534e89e6ac913a4e0
Author: David Alsasua <david.alsasua <at> openbravo.com>
Date: Wed Jan 20 00:51:35 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7f52a871237d504cb5c3168534e89e6ac913a4e0 [^]

Fixes issue 11813: It is not possible to close January period

---
M src-db/database/model/functions/C_PERIOD_PROCESS.xml
---
(0023592)
arunkumar (reporter)
2010-01-20 06:58

Tested & Working fine
(0023746)
hudsonbot (developer)
2010-01-22 17:05

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/7f52a871237d [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/ba83bb4d9240 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15962.obx [^]

- Issue History
Date Modified Username Field Change
2009-12-17 17:29 networkb New Issue
2009-12-17 17:29 networkb Assigned To => rafaroda
2009-12-17 17:33 rafaroda Assigned To rafaroda => vmromanos
2009-12-17 17:33 rafaroda Priority immediate => urgent
2009-12-17 17:33 rafaroda Status new => scheduled
2009-12-17 17:33 rafaroda Summary It is not possible to close periods => It is not possible to close January period
2009-12-17 17:33 rafaroda Description Updated
2009-12-28 09:55 vmromanos Relationship added related to 0010087
2009-12-28 09:55 vmromanos Note Added: 0023102
2009-12-28 10:05 networkb Note Added: 0023103
2009-12-28 16:23 3vian Issue Monitored: 3vian
2010-01-18 10:06 rajagopal Assigned To vmromanos => rajagopal
2010-01-19 23:44 dalsasua Proposed Solution updated
2010-01-19 23:46 dalsasua Proposed Solution updated
2010-01-19 23:46 dalsasua Note Added: 0023584
2010-01-20 00:48 dalsasua Reproducibility always => random
2010-01-20 00:49 dalsasua Note Edited: 0023584
2010-01-20 00:52 hgbot Checkin
2010-01-20 00:52 hgbot Note Added: 0023585
2010-01-20 00:52 hgbot Status scheduled => resolved
2010-01-20 00:52 hgbot Resolution open => fixed
2010-01-20 00:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7f52a871237d504cb5c3168534e89e6ac913a4e0 [^]
2010-01-20 06:58 arunkumar Note Added: 0023592
2010-01-20 06:58 arunkumar Status resolved => closed
2010-01-20 06:58 arunkumar Fixed in Version => 2.50MP11
2010-01-21 00:00 anonymous sf_bug_id 0 => 2935927
2010-01-22 17:05 hudsonbot Checkin
2010-01-22 17:05 hudsonbot Note Added: 0023746
2010-01-26 18:20 dalsasua Relationship added related to 0012071


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker